acquiring_avs_init:
  path: /v1/avs/{init?}
  controller: App\Controller\AcquiringController::avs
  methods: [ POST ]
  defaults:
    operation: avs
    access: avs_access


acquiring_pre_authorization:
  path: /v1/pre-authorization/{init?}
  controller: App\Controller\AcquiringController::preAuthorization
  methods: [ POST ]
  defaults:
    operation: pre_authorization
    access: pre_authorization_access

acquiring_capture:
  path: /v1/capture/{transaction}
  controller: App\Controller\AcquiringController::capture
  methods: [ POST ]
  defaults:
    operation: capture
    access: capture_access

acquiring_purchase:
  path: /v1/purchase/{init?}
  controller: App\Controller\AcquiringController::purchase
  methods: [ POST ]
  defaults:
    operation: purchase
    access: purchase_access

acquiring_credit:
  path: /v1/credit/{init?}
  controller: App\Controller\AcquiringController::credit
  methods: [ POST ]
  defaults:
    operation: credit
    access: credit_access

acquiring_refund:
  path: /v1/refund/{transaction}
  controller: App\Controller\AcquiringController::refund
  methods: [ POST ]
  defaults:
    operation: refund
    access: refund_access

acquiring_reversal:
  path: /v1/reversal/{transaction}
  controller: App\Controller\AcquiringController::reversal
  methods: [ POST ]
  defaults:
    operation: reversal
    access: reversal_access

acquiring_reversal_refund:
  path: /v1/reversal-refund/{transaction}
  controller: App\Controller\AcquiringController::reversal
  methods: [ POST ]
  defaults:
    operation: reversalRefund
    access: reversal_refund_access

acquiring_reversal_credit:
  path: /v1/reversal-credit/{transaction}
  controller: App\Controller\AcquiringController::reversal
  methods: [ POST ]
  defaults:
    operation: reversalCredit
    access: credit_access

acquiring_oct:
  path: /v1/oct/{init?}
  controller: App\Controller\AcquiringController::oct
  methods: [ POST ]
  defaults:
    operation: oct
    access: oct_access
